Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class XSDBoolean.XSDDerivedBooleanType

    java.lang.Object
      org.mindswap.pellet.datatypes.BaseDatatype
          org.mindswap.pellet.datatypes.BaseAtomicDatatype
              org.mindswap.pellet.datatypes.XSDBoolean
                  org.mindswap.pellet.datatypes.XSDBoolean.XSDDerivedBooleanType

All Implemented Interfaces:
  AtomicDatatype, Datatype

Enclosing class:
  XSDBoolean

    public class XSDBoolean.XSDDerivedBooleanType

extends XSDBoolean

Nested Class Summary

Nested classes/interfaces inherited from class org.mindswap.pellet.datatypes.XSDBoolean
`XSDBoolean.XSDDerivedBooleanType`

Field Summary

Fields inherited from class org.mindswap.pellet.datatypes.XSDBoolean
`instance`

Method Summary
`boolean` | `isDerived()`

Methods inherited from class org.mindswap.pellet.datatypes.XSDBoolean
`contains, difference, getPrimitiveType, getValue, getValue, intersection, not, singleton, size, union`

Methods inherited from class org.mindswap.pellet.datatypes.BaseAtomicDatatype
`enumeration, toString`

Methods inherited from class org.mindswap.pellet.datatypes.BaseDatatype
`contains, getName, getURI, isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.AtomicDatatype
`enumeration`

Methods inherited from interface org.mindswap.pellet.datatypes.Datatype
`contains, getName, getURI, isEmpty`

Method Detail

### isDerived

    public boolean isDerived()

  Overrides:
    `isDerived` in class `BaseAtomicDatatype`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.